meta-google: nftables-systemd: Flush at start

We don't want errors in loading previous rules to affect the state of the
ruleset during restart.

Change-Id: Ic122e971670d56022029f1155c1accdf129672d0
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/meta-google/recipes-google/nftables/files/nft-configure.sh b/meta-google/recipes-google/nftables/files/nft-configure.sh
index a82c282..05bb23d 100644
--- a/meta-google/recipes-google/nftables/files/nft-configure.sh
+++ b/meta-google/recipes-google/nftables/files/nft-configure.sh
@@ -9,6 +9,7 @@
   let i+=1
 done
 rc=0
+nft flush ruleset || rc=$?
 for key in $(printf "%s\n" "${!basemap[@]}" | sort -r); do
   echo "Executing ${basemap[$key]}" >&2
   nft -f "${basemap[$key]}" || rc=$?